curl -X POST 'https://api.sandbox.mangopay.com/v2.01/oauth/token/embedded/checkout' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ab08691f2ef34733a8451ed3742d4204' \
-d '{
"clientId": "your-mangopay-client-id",
"claims": {
"userId": "user_m_01JP2X1PK52W8PYD99Q3CXDMAP"
}
}'
{
"access_token": "chk_019bb6d3e14d723dada740a0d8d9ba17",
"token_type": "Bearer",
"expires_in": 900,
"scope": "checkout.session:r checkout.session:w"
}
Authentication
Create an access token for Checkout SDK features
Generate an access token to initialize the Checkout SDK to provide PayPal One-Click
POST
/
v2.01
/
oauth
/
token
/
embedded
/
recipient
curl -X POST 'https://api.sandbox.mangopay.com/v2.01/oauth/token/embedded/checkout' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ab08691f2ef34733a8451ed3742d4204' \
-d '{
"clientId": "your-mangopay-client-id",
"claims": {
"userId": "user_m_01JP2X1PK52W8PYD99Q3CXDMAP"
}
}'
{
"access_token": "chk_019bb6d3e14d723dada740a0d8d9ba17",
"token_type": "Bearer",
"expires_in": 900,
"scope": "checkout.session:r checkout.session:w"
}
This endpoint allows you to obtain an access token that you can use to initialize Checkout SDK.
This access token is only required for the following features using Checkout SDK:
You do not need an access token if using Checkout SDK to service other payment methods or PayPal without PayPal One-Click.
A single access token can be used to service the experience to one user and has a lifespan of 15 minutes. You need to provide the
UserId of the Natural User or Legal User who will use the Checkout session to make the payment.
Body parameters
string
required
Your Mangopay Client ID.
object
required
Hide child attributes
Hide child attributes
string
Unique identifier of the Natural User or Legal User using the Checkout SDK session to make a payment.
Responses
curl -X POST 'https://api.sandbox.mangopay.com/v2.01/oauth/token/embedded/checkout' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ab08691f2ef34733a8451ed3742d4204' \
-d '{
"clientId": "your-mangopay-client-id",
"claims": {
"userId": "user_m_01JP2X1PK52W8PYD99Q3CXDMAP"
}
}'
{
"access_token": "chk_019bb6d3e14d723dada740a0d8d9ba17",
"token_type": "Bearer",
"expires_in": 900,
"scope": "checkout.session:r checkout.session:w"
}
Was this page helpful?